import { IFooterManager } from '../../../../../types/src/table';
import { default as CoreFeature } from './CoreFeature';
import { default as Tabulator } from './Tabulator';

export default class FooterManager extends CoreFeature implements IFooterManager {
    active: boolean;
    element: HTMLElement;
    containerElement: HTMLElement;
    external: boolean;
    constructor(table: Tabulator);
    initialize(): void;
    createElement(): HTMLElement;
    createContainerElement(): HTMLElement;
    initializeElement(): void;
    getElement(): HTMLElement;
    append(element: Node): void;
    prepend(element: Node): void;
    remove(element: Node): void;
    deactivate(force?: boolean): void;
    activate(): void;
    redraw(): void;
}
